<h1 class="title">The Hangman</h1>

<p class="instruction">Let's play <strong>Hangman!</strong></p>
<p class="instruction">How many letters do you want in your word?</p>

<div class="lengths-container">
  <button
    *ngFor="let len of lengths"
    class="theme-button secondary large lenght"
    [class.selected]="selectedLenght === len"
    (click)="selectLength(len)"
  >{{len}}</button>
  <button
    class="theme-button secondary large random"
    [class.selected]="!selectedLenght"
    (click)="selectLength(0)"
  >Random</button>
</div>


<a [routerLink]="'/game'" class="theme-button primary">Let's play!</a>
